timeline
Return a list of time intervals and the number of detections for each interval, including intervals where no source images were captured, along with meta information.
GET /api/v2/events/528/timeline/?format=api
{ "data": [ { "start": "2021-05-07T02:39:00", "end": "2021-05-07T02:40:00", "first_capture": { "id": 1904534, "details": "https://api.beluga.insectai.org/api/v2/captures/1904534/?format=api", "user_permissions": [] }, "top_capture": { "id": 1904547, "details": "https://api.beluga.insectai.org/api/v2/captures/1904547/?format=api", "user_permissions": [] }, "captures_count": 14, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:40:00", "end": "2021-05-07T02:41:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:41:00", "end": "2021-05-07T02:42:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:42:00", "end": "2021-05-07T02:43:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:43:00", "end": "2021-05-07T02:44:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:44:00", "end": "2021-05-07T02:45:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:45:00", "end": "2021-05-07T02:46:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:46:00", "end": "2021-05-07T02:47:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:47:00", "end": "2021-05-07T02:48:00", "first_capture": { "id": 1904548, "details": "https://api.beluga.insectai.org/api/v2/captures/1904548/?format=api", "user_permissions": [] }, "top_capture": { "id": 1904550, "details": "https://api.beluga.insectai.org/api/v2/captures/1904550/?format=api", "user_permissions": [] }, "captures_count": 3, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-07T02:48:00", "end": "2021-05-07T02:48:24", "first_capture": { "id": 1904551, "details": "https://api.beluga.insectai.org/api/v2/captures/1904551/?format=api", "user_permissions": [] }, "top_capture": { "id": 1904557, "details": "https://api.beluga.insectai.org/api/v2/captures/1904557/?format=api", "user_permissions": [] }, "captures_count": 7, "detections_count": 1, "detections_avg": 1, "was_processed": true } ], "meta": { "total_intervals": 10, "resolution_minutes": 1, "max_detections": 1, "min_detections": 0, "total_detections": 1, "timeline_start": "2021-05-07T02:39:00", "timeline_end": "2021-05-07T02:48:24" } }